summaryrefslogtreecommitdiff
path: root/libre/linux-libre-lts-kmod-alx/linux-libre-lts-kmod-alx.install
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-10-15 13:05:33 -0200
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-10-15 13:05:33 -0200
commitb440781a94788a9a87a18a0096b26940285b69b7 (patch)
treeb0c0218ea9099249280b1dcc806ed3909d75a511 /libre/linux-libre-lts-kmod-alx/linux-libre-lts-kmod-alx.install
parent8b26f6357c2aadb2350e1b1c8299923053bd1573 (diff)
downloadabslibre-b440781a94788a9a87a18a0096b26940285b69b7.tar.gz
abslibre-b440781a94788a9a87a18a0096b26940285b69b7.tar.bz2
abslibre-b440781a94788a9a87a18a0096b26940285b69b7.zip
linux-libre-lts-kmod-alx: adding new package
Diffstat (limited to 'libre/linux-libre-lts-kmod-alx/linux-libre-lts-kmod-alx.install')
-rw-r--r--libre/linux-libre-lts-kmod-alx/linux-libre-lts-kmod-alx.install33
1 files changed, 33 insertions, 0 deletions
diff --git a/libre/linux-libre-lts-kmod-alx/linux-libre-lts-kmod-alx.install b/libre/linux-libre-lts-kmod-alx/linux-libre-lts-kmod-alx.install
new file mode 100644
index 000000000..aad4270cd
--- /dev/null
+++ b/libre/linux-libre-lts-kmod-alx/linux-libre-lts-kmod-alx.install
@@ -0,0 +1,33 @@
+generic() {
+ echo " > Running depmod now..."
+ depmod -a
+}
+
+unload() {
+ lsmod | grep alx > /dev/null
+ if [ "$?" = "0" ]; then
+ rmmod alx
+ fi
+}
+
+post_install() {
+ generic
+ echo " > Reloading alx module..."
+ echo " Please note that you may REBOOT your system to get it works!"
+ unload
+ sleep 0.5
+ modprobe alx
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ generic
+ echo " > Unloading memory resident module..."
+ unload
+ rmmod compat
+ echo " Module unloaded!."
+}
+